import type { GetEnv } from '../../env/types.js';
import { AstroError, AstroErrorData } from '../../core/errors/index.js';
export { validateEnvVariable } from '../../env/validators.js';
export declare const defaultGetEnv: GetEnv;
export declare function setGetEnv(fn: GetEnv): void;
export declare function getEnv(...args: Parameters<GetEnv>): string | undefined;
export declare function createInvalidVariableError(...args: Parameters<typeof AstroErrorData.EnvInvalidVariable.message>): AstroError;
